package com.css.simulation.resource.scene.service;

import api.common.pojo.common.PageVO;
import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.vo.system.SystemServerVO;
import com.css.simulation.resource.scene.mapper.SystemServerMapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class HomePageService {

    @Autowired
    SystemServerMapper systemServerMapper;


    public ResponseBodyVO<PageInfo<SystemServerVO>> selectServerList(PageVO pageVO) {

        PageHelper.startPage(pageVO.getCurrentPage(), pageVO.getPageSize());
        List<SystemServerVO> systemServerPOList = systemServerMapper.selectAll();

        return new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS, new PageInfo<>(systemServerPOList));
    }
}
